aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtest/performance/odp_l2fwd_run.sh4
-rwxr-xr-xtest/performance/odp_pktio_ordered_run.sh2
2 files changed, 3 insertions, 3 deletions
diff --git a/test/performance/odp_l2fwd_run.sh b/test/performance/odp_l2fwd_run.sh
index 5745d3279..2d2321aa5 100755
--- a/test/performance/odp_l2fwd_run.sh
+++ b/test/performance/odp_l2fwd_run.sh
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
#
# Copyright (c) 2015-2018, Linaro Limited
# All rights reserved.
@@ -86,7 +86,7 @@ run_l2fwd()
# Max 2 workers
$STDBUF odp_l2fwd${EXEEXT} -i $IF1,$IF2 -m 0 -t 30 -c 2 | tee $LOG
- ret=$?
+ ret=${PIPESTATUS[0]}
kill -2 ${GEN_PID}
diff --git a/test/performance/odp_pktio_ordered_run.sh b/test/performance/odp_pktio_ordered_run.sh
index 295b8803b..09dd2ab98 100755
--- a/test/performance/odp_pktio_ordered_run.sh
+++ b/test/performance/odp_pktio_ordered_run.sh
@@ -31,7 +31,7 @@ fi
$STDBUF ${TEST_DIR}/odp_pktio_ordered${EXEEXT} \
-i pcap:in=${PCAP_IN}:loops=$LOOPS,pcap:out=${PCAP_OUT} \
-t $DURATION | tee $LOG
-ret=$?
+ret=${PIPESTATUS[0]}
if [ $ret -ne 0 ]; then
echo "FAIL: no odp_pktio_ordered${EXEEXT}"